module.exports = {
  testEnvironment: 'jsdom',
  roots: ['<rootDir>/assets/js', '<rootDir>/js'],
  testMatch: ['**/__tests__/**/*.js', '**/?(*.)+(spec|test).js'],
  moduleNameMapper: {
    '\\.(css|less|scss|sass)$': 'identity-obj-proxy',
  },
  collectCoverageFrom: [
    'assets/js/**/*.js',
    'js/**/*.js',
    '!assets/js/howler.min.js',
    '!**/*.test.js',
  ],
  globals: {
    player: {},
    dungeon: {},
    enemy: {}
  }
};